SDL_DisplayMode(3type)

NAME
SDL_DisplayMode - The structure that defines a display mode.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_DisplayMode
{
    SDL_DisplayID displayID;    /**< the display this mode is associated with */
    SDL_PixelFormatEnum format; /**< pixel format */
    int w;                      /**< width */
    int h;                      /**< height */
    float pixel_density;        /**< scale converting size to pixels (e.g. a 1920x1080 mode with 2.0 scale would have 3840x2160 pixels) */
    float refresh_rate;         /**< refresh rate (or zero for unspecified) */
    void *driverdata;           /**< driver-specific data, initialize to 0 */
} SDL_DisplayMode;

AVAILABILITY
This struct is available since SDL 3.0.0.

SEE ALSO
SDL_GetFullscreenDisplayModes(3), SDL_GetDesktopDisplayMode(3), SDL_GetCurrentDisplayMode(3), SDL_SetWindowFullscreenMode(3), SDL_GetWindowFullscreenMode(3)